# listMembershipsByIndividual

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/memberships |

| Field | Value |
|---|---|
| operationId | listMembershipsByIndividual |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /memberships |
| tags | `Memberships` |
| summary | List memberships by company-individual |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| companyIndividualId | query | true | string | UUID of the company-individual to filter by |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | List of memberships | #/components/schemas/MembershipResponseDto |
| 400 | Invalid UUID format for companyIndividualId | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
